#=================================VARIABLES==========================================


variables:
  BLACK_BOX_TESTS_DIR_PATH: $CI_PROJECT_DIR/black-box-testing

include:
  - project: 'models8/gitlab-ci-extensions'
    ref: master
    file: '.gitlab-ci-getEnvironmentUrl.yml'


#=================================RULES============================================


.black-box-rules: &black-box-rules
  - if: $CI_COMMIT_BRANCH == "staging"
  - if: $CI_COMMIT_BRANCH == "staging" && $CI_COMMIT_MESSAGE =~ /bugfix/
    when: delayed
    start_in: 5 minutes



#=================================STAGES ==========================================


get-staging-url:
  stage: black-box-testing
  variables:
    GITLAB_TOKEN: $GITLAB_API_TOKEN
    PROJECT_ID: $CI_PROJECT_ID
    ENV_NAME: staging
  extends: .get-environment-url
  rules:
    - *black-box-rules
